Skip to main content
`Ctrl`+`K`

# PetscFEGeomRestoreChunk

Restore the chunk obtained with `PetscFEGeomCreateChunk()`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGeomRestoreChunk(PetscFEGeom *geom, PetscInt cStart, PetscInt cEnd, PetscFEGeom **chunkGeom)

## Input Parameters

- geom - `PetscFEGeom` object

- cStart - The first cell in the chunk

- cEnd - The first cell not in the chunk

- chunkGeom - The chunk of cells

## See Also

`PetscFEGeom`, `PetscFEGeomGetChunk()`, `PetscFEGeomCreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fegeom.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages